tesma Platform API

Gets a list of all invoiced assets including their invoice header data.

get
https://api.tesma.com/v1/invoices/{year}/assets

Query Parameters

loadOptionsobject

The data source load options.

* Additional properties are NOT allowed.
Show Child Parameters

Path Parameters

yearinteger(int32)required

The year in which the invoice for the assets has been created.

>= 1900<= 2100

Headers

CorporateGroup-Namestring

Corporate group key that assigns the currently selected corporate group to the request.

Response

application/json

OK

TesmaLoadResult_InvoiceAssetResponse

* Additional properties are NOT allowed.
datanull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
groupCountinteger(int32)

Default:-1

summarynull | array
totalCountinteger(int32)

Default:-1

get/v1/invoices/{year}/assets
 
application/json

Documents

Gets a list of all document metadatas.

get
https://api.tesma.com/v1/documents

Query Parameters

loadOptionsobject

The load options object.

* Additional properties are NOT allowed.
Show Child Parameters

Headers

CorporateGroup-Namestring

Corporate group key that assigns the currently selected corporate group to the request.

Response

application/json

OK

TesmaLoadResult_DocumentMetadataResponse

* Additional properties are NOT allowed.
datanull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
groupCountinteger(int32)

Default:-1

summarynull | array
totalCountinteger(int32)

Default:-1

get/v1/documents
 
application/json

Uploads a new customer document.

post
https://api.tesma.com/v1/documents

Headers

CorporateGroup-Namestring

Corporate group key that assigns the currently selected corporate group to the request.

Body

multipart/form-data
AssetIdinteger(int64)
CustomerNumberinteger(int32)required
DocumentCategorystringrequired

Allowed values:masterLeaseAgreementsupplementalAgreementleaseSchedulecarbonZeroCertificatecollectionerasureProtocolinvoicecreditadditionalDocumentreportownDocumentscheduledExportoneTimeExport

DocumentTypestringrequired

>= 0 characters<= 128 characters

LeaseCompanyinteger(int32)required
LeaseScheduleIdinteger(int32)

Response

application/json

OK

* Additional properties are NOT allowed.
documentIdnull | string
post/v1/documents

Body

{ "CustomerNumber": 0, "DocumentCategory": "masterLeaseAgreement", "DocumentType": "DocumentType", "LeaseCompany": 0 }
 
application/json

Downloads multiple documents in a zip file.

get
https://api.tesma.com/v1/documents/downloads

Query Parameters

loadOptionsobject

The load options

* Additional properties are NOT allowed.
Show Child Parameters

Headers

CorporateGroup-Namestring

Corporate group key that assigns the currently selected corporate group to the request.

Response

application/json

OK

string(binary)
get/v1/documents/downloads
 
application/json